# Fetch 1.2

This new release comes with a few config breaking changes, see this wiki page<br \>
for info on how you can workaround the issues.

https://github.com/dylanaraps/fetch/wiki/Following-HEAD

- Fetch now has a **gitter** chatroom. [![Gitter](https://badges.gitter.im/dylanaraps/fetch.svg)](https://gitter.im/dylanaraps/fetch?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
- Fixed text padding when the user didn't have the locale `en_US.UTF8` installed.
- Cleaned up parts of the script.

### OS

Fetch is now at support parity with Screenfetch. We support all the Linux distros<br \>
Screenfetch supports excluding the distros that have been discontinued.

Added support for these distros:
- `Puppy Linux`
- `Kali Linux`
- `openSUSE`
- `Raspbian`
- `Mageia`
- `PCLinuxOS`
- `Zorin OS`
- `Tails`
- `BLAG`
- `Void Linux`
- `Trisquel`
- `Solus`
- `Peppermint`
- `NixOS`
- `Chakra`
- `Mandriva`
- `gNewSense`
- `LMDE`
- `KaOS`
- `Sabayon`
- `Frugalware`
- `Chapeau`
- `Slackware`
- `Scientific Linux`
- `Exherbo`
- `Chrome OS`
- `Chromium OS`


### Makefile

- Fixed makefile on OS X El Captain.
- `$PREFIX` is now also used when installing ascii art and the default config


### Wallpaper

- Fetch now supports using `MATE` desktop's wallpapers.
- Fetch now fallsback to ascii mode if the found wallpaper is an xml file. This<br \>
fixes issues where the wallpaper set by gsettings is an xml file.


### Info

**Desktop Environment**:
- Added support for showing the user's DE.

**Window Manager**:
- `xprop` is now a required dependency. See **[#79](https://github.com/dylanaraps/fetch/issues/79)**
- Renamed 'windowmanager' to 'wm'

**IP Address**:
- Added function to get your local IP
- Added function to get your public IP \[1\]
- Added `--ip_host` and `$public_ip_host` which allow you to change the website we<br \>
ping for the public IP.

\[1\] Public IP requires an internet connection as we ping a website.

**Packages**:
- Check for packages based on which package manager is installed instead of<br \>
using a hardcoded list of distros.

**Theme**:
- Added support for getting DE theme.
- Added support for getting KDE theme.
- Renamed `getgtk` to `getstyle`.
- Dropped the `gtk` from these printinfo functions `gtktheme`, `gtkicons`<br \>
and `gtkfont`. Theme output will be blank until you make these changes:

```sh
# Old Naming
info "GTK Theme" gtktheme
info "Icons" gtkicons
info "Font" gtkfont

# New Naming
info "Theme" theme
info "Icons" icons
info "Font" font
```

**GPU**:
- `gpu_shorthand` is now enabled by default.
- We now favor showing the dedicated GPU over the integrated one.

**Song**:
- Added support for `MOC`.
- We now check to see if the player is running before printing anything.
- We now check playback state and show it if relevent.

**Uptime**:
- [Linux] Fixed uptime when it's under 1 minute.


### Ascii Art
- `--ascii_distro` now also enables ascii mode.
-  Fix missing ascii art when fetch is installed in /usr/local
- Update Deepin's ascii art to their new logo

